Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.editor.controls
Class AbstractFilteredReferenceAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction
                      org.eclipse.emf.ecp.view.spi.editor.controls.AbstractFilteredReferenceAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public abstract class AbstractFilteredReferenceAction

extends ECPSWTAction

A `ECPSWTAction` allowing to set a reference.

Since:
  1.5

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AbstractFilteredReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EStructuralFeature.Setting setting, org.eclipse.emf.edit.provider.IItemPropertyDescriptor descriptor, org.eclipse.swt.widgets.Shell shell)` Constructor.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction
`equals, getEditingDomain, hashCode`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFilteredReferenceAction

    public AbstractFilteredReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                           org.eclipse.emf.ecore.EStructuralFeature.Setting setting,
                                           org.eclipse.emf.edit.provider.IItemPropertyDescriptor descriptor,
                                           org.eclipse.swt.widgets.Shell shell)

  Constructor.

  Parameters:
    `editingDomain` - the editing domain to use
    `setting` - the setting to use
    `descriptor` - the property descriptor
    `shell` - the shell

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.